Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotShell

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<T>
          org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl<Shell>
              org.eclipse.swtbot.swt.finder.widgets.SWTBotShell

    public class SWTBotShell

extends AbstractSWTBotControl<Shell>

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotShell(Shell shell)` Constructs an instance of this with the given shell.
`SWTBotShell(Shell shell, SelfDescribing description)` Constructs an instance of this with the given shell.

Method Summary
`SWTBotShell` | `activate()` Activates the shell.
`SWTBot` | `bot()` Returns a SWTBot instance that matches the contents of this shell.
`void` | `close()` Closes the shell
`boolean` | `isActive()` Checks if the shell is active.
`boolean` | `isOpen()` Checks if the shell is open.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl
`absoluteLocation, click, moveMouseToWidget, rightClick`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotShell

    public SWTBotShell(Shell shell)
                throws WidgetNotFoundException

  Constructs an instance of this with the given shell.

  Parameters:
    `shell` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotShell

    public SWTBotShell(Shell shell,
                       SelfDescribing description)
                throws WidgetNotFoundException

  Constructs an instance of this with the given shell.

  Parameters:
    `shell` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### activate

    public SWTBotShell activate()
                         throws TimeoutException

  Activates the shell.

  Returns:
    itself.
  Throws:
    `TimeoutException` - if the shell could not be activated

### close

    public void close()
               throws TimeoutException

  Closes the shell

  Throws:
    `TimeoutException` - if the shell does not close.

### isOpen

    public boolean isOpen()

  Checks if the shell is open.

  Returns:
    `true` if the shell is visible, `false` otherwise.

### isActive

    public boolean isActive()

  Checks if the shell is active.

  Overrides:
    `isActive` in class `AbstractSWTBot<Shell>`
  Returns:
    `true` if the shell is active, `false` otherwise.
  See Also:
    `Display.getFocusControl()`

### bot

    public SWTBot bot()

  Returns a SWTBot instance that matches the contents of this shell.

  Returns:
    SWTBot

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD